Mail widget. Can display emails from Gmail, Yandex, Outlook (excluding corporate) mailboxes, and any other mailboxes that support IMAP connections.

Clicking on an email opens the mail viewing window. By default, the window displays the HTML-formatted email and attached images. You can customize the buttons in the window through the settings. A long press on an email reveals additional actions. Click on the header of the email preview window to access more information about the email.

For Gmail, the widget uses the official Gmail app to receive notifications. For all other mailboxes, it employs IMAP IDLE (push notifications) for immediate updates on new mail. Note that if your network connection is unstable, IMAP IDLE may shut down.

The widget shows only unread emails from the INBOX folder. However, for Gmail, this behavior can be adjusted via the "Gmail server request" setting. The default setting is "is:unread label:inbox," meaning "unread emails with INBOX label." By modifying this line, you can change the selection. For instance, leaving only "label:inbox" displays all emails (both read and unread) in the INBOX folder. Leaving just the "is:unread" line makes the mail widget show all unread emails from all folders. Further fine-tuning of email selection can be done using various other operators, as described in the Gmail help: [Gmail Help](https://support.google.com/mail/answer/7190).

This widget can be cloned (create additional widgets) by swiping to the right and pressing the "copy" button.

*Widget refresh interval: immediately + every half hour.*

