Task widget. Allows you to add tasks to the screen with specified deadlines. Tasks are automatically sorted by urgency, and an hour before the deadline, the task's color starts changing to red (not in all themes).

The task deadline is specified as a date and time, and the date and time buttons can not only be pressed but also swiped. Any task can be marked as high-priority using the corresponding checkbox. In this case, on the day the task is due, a system notification will appear. Completed tasks will be crossed out, moved to the end of the list, and then deleted after one day (adjustable in the settings).

For the sake of simplicity, the widget does not support recurring tasks. Instead, there is a mechanism for quickly moving a task to an hour, day, week, or month ahead. For example, if you have a task "Take pills" at 9 am, after taking the pills, you can open the task editing menu with a long press and then press "Add a day." The task will be moved to the next day at the same time.

By default, when tasks are displayed on the screen, the widget shortens their text and combines several lines into one. Using the settings, you can select the truncation method by characters or by the first line.

The widget's editing window allows you to change the color of your notes and also enables you to highlight headings with the # sign. Place this symbol in front of the line, and it will be underlined on the desktop and cannot be deleted in list display mode.

When cloud synchronization is enabled, all your tasks and notes will be synchronized across all devices where AIO Launcher with cloud synchronization is installed.

*Hint: You can open the new task adding window not only through the widget but also by assigning the "Add task" action to a gesture or button in AIO Settings - Actions.*

*Widget refresh interval: no automatic updates.*

