The 'Frequent Apps' widget is the main AIO Launcher widget for apps. Its task is to show the most frequently used applications (although you can also choose to show apps based on the last launch time, by history or alphabetically in the settings).

The widget can display applications in two modes: 'icons' and 'buttons.' To switch between modes, swipe the widget to the right, then tap the 'picture' icon in the widget settings.

A distinctive feature of the widget is that it has several pages, and you can switch between them with a swipe. Each page displays frequently used applications of a certain category. You can select the categories to be displayed in the widget in the 'Categories' section of the AIO Launcher settings.

Despite the widget showing apps based on the number of launches (the default), you can 'force' it to display the app you want by dragging it onto the widget. This only works for the first page and only if the widget is configured to sort apps by the number of runs.

Two important things to understand about the 'Frequent Apps' widget:

1. There is a setting that excludes 'My Apps', 'Apps List' and 'App Folders' apps from the 'Frequent Apps' widget.
2. The 'Hide Apps' feature by default hides them only from the 'Frequent Apps' widget. There is a special setting that allows you to hide them from the side menu as well.

*Widget refresh interval: when returning to the home screen.*

