The expense widget allows you to track your spending. The widget displays a pie chart sorted by categories of purchases, as well as the three most "costly" categories and their total amount. Total amounts are always converted to the default currency selected in the settings at the current exchange rate taken from the Exchange Rates widget.

Press New purchase to add a new expense. Tap anywhere else on the widget to open a detailed list of purchases by day. Press the button in the top right corner to switch the list to display by months. Tap on a purchase to view details and edit it (note that you won't be able to change the amount and time of the purchase; you'll need to delete it and add a new one).

The widget can extract purchase amounts from notifications (if this option is enabled in the settings) and will suggest adding these purchases to the overall list. Keep in mind that the algorithm for extracting purchases from notifications only works if the notification contains the amount and the currency code in three-letter format (or the currency symbol, such as $).

When cloud synchronization is enabled, all your expenses will be synchronized across all devices where AIO Launcher with cloud synchronization is installed.

*Hint: You can open the new purchase adding window not only through the widget but also by assigning the "Add purchase" action to a gesture or button in AIO Settings - Actions.*

*The widget does not collect any of your personal information and does not send it to remote developer servers.*

*Widget refresh interval: no automatic updates.*

