The 'Notifications' widget shows the system notifications. The widget requires access to notifications and hides when there are no notifications.

By default, the widget is folded, so all notifications from one app will be 'stacked' into a single notification. Swiping away this notification will dismiss it along with all other notifications. Tapping on the header or the top-right corner of the widget (if headers are disabled) expands the widget to view all notifications. If there are three or more notifications, a 'Clear' button will appear at the bottom for quickly dismissing all notifications.

When you tap on a notification, it will open in the respective app. Long-pressing a notification provides access to its functions. For example, you can snooze notifications from this app for a specific time using the 'Zzz' button, hide all notifications from this app in the widget (but not in the system notification tray), and perform actions specific to the notification as provided by the app.

*Keep in mind: If a notification was shown in the 'Notifications' widget, it won't show up in the 'Conversations' widget.*

*Note: On some smartphones (mostly Xiaomi), AIO access to notifications may be intermittently disabled, so you may need to grant launcher notification access again. To avoid this issue, disable all power-saving mechanisms for AIO Launcher. For more information, refer to the 'About AIO Launcher' section in the settings.*

*Widget refresh interval: notifications added or removed.*

